ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xavier Hanin" <xavier.ha...@gmail.com>
Subject Re: problem using dynamic revision in dependencies ...
Date Mon, 12 Mar 2007 16:21:52 GMT
On 3/12/07, Gregoire Henry <ghynxmail@gmail.com> wrote:
>
> Hello
>
> i'm in front of a probleme using dynamic revision in dependencies part of
> ivy.xml .
>
> I have an ivy file with the following
>
>    <dependencies>
>        <dependency org="jfree" name="jfreechart" rev="[1.0.0,)"
> transitive="true" conf="default->default" />
>    </dependencies>
>
> If i've clearly understood the documentation (...) this should give me a
> dependency between my artifact and any version of jfreechart starting with
> (an including) 1.0.0 ...
>
> ok , but when i make a resolve, i have the following message :
> [ivy:resolve]           :: [ jfree | jfreechart | [1.0.0,) ]: Invalid uri
> '
> http://phbldmrs/ivy-rep/jfree/jfreechart/[1.0.0,)/ivys/ivy-[1.0.0,).xml':
> escaped absolute path not valid
>
> well .. seems that ivy try to directly download a [1.0.0,) version with no
> attempt to transform the dynamic revision.
>
> Is this a bug or am i making something wrong ?


I think this is a bug, at least there's already a bug opened with the same
kind of problem (don't have time to provide the number). However Maarten
tried to reproduce the bug and didn't managed to do so.

Anyway, the workaround to try is to disable the exact version checking on
your resolver(s):
http://incubator.apache.org/ivy/doc/configuration/resolvers.html
You can either set ivy.default.always.check.exact.revision=false to disable
on all resolvers or alwaysCheckExactRevision="false" per resolver.

If you have time to comment on the existing issue to give some feedback on
your environment to help us reproduce the problem, we would really
appreciate it.

- Xavier

Thank's
>
> Greg
>
> Build manager - lswe.com
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message